/* resultsdb.H
 * John Viega
 *
 * Jan 28-29 2000
 */

#ifndef __RESULTSDB_H__
#define __RESULTSDB_H__

#include "vulninfo.H"

/* TODO:
 * Should add a type field so we can seperate calls from non-calls.
 */
struct Result
{
  char *source;
  int  line;
  int  id;
  int  expl;
  Severity s;
  VulnInfo *v;  
};

void InitResultsDB();
void AddResult(char *source, int line, Severity s, VulnInfo*v, int exp=0);
Result *GetResultTable(unsigned int&, unsigned int&);

#endif
